package plugin_test

import (
	"fmt"
	"strings"
	"testing"

	"apigo.cc/gojs"
	_ "apigo.cc/gojs/console"
	_ "apigo.cc/gojs/file"
	"github.com/ssgo/u"
)

func TestPlugin(t *testing.T) {
	gojs.ExportForDev()
	for _, f := range u.ReadDirN(".") {
		if strings.HasSuffix(f.Name, "_test.js") {
			r, err := gojs.RunFile(f.Name)
			if err != nil {
				t.Fatal(u.Red(f.Name), u.BRed(err.Error()))
			} else if r != true {
				t.Fatal(u.Red(f.Name), u.BRed(u.JsonP(r)))
			} else {
				fmt.Println(u.Green(f.Name), u.BGreen("test succeess"))
			}
		}
	}
}
